<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 10 $
 * $Author: PragmaMx $
 * $Date: 2018-09-30 15:43:26 +0200 (So, 30. Sep 2018) $
 */

$hook = function($module_name, $options, &$hook_result)
{
    /* $options enthält die kompletten Daten des aktuellen Admins */
    // $options = Admindaten aus mxGetAdminData()
    global $prefix, $user_prefix;
    if ($options['radmindownload']) {
        list($num) = sql_fetch_row(sql_query("select count(requestid) from ${prefix}_downloads_modrequest where brokendownload=1;"));
        if ($num) {
            $hook_result[] = array(/* Eintrag */
                'module' => $module_name,
                'count' => $num,
                'link' => adminUrl($module_name, 'ListBroken'),
                'text' => (($num > 1) ? _REC_BROKENRECIPES : _REC_BROKENRECIPE));
        }
    }
} ;

?>
