<?php
/**
 * pragmaMx - Recipe Module
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 10 $
 * $Author: PragmaMx $
 * $Date: 2018-09-30 15:43:26 +0200 (So, 30. Sep 2018) $
 */

defined('mxMainFileLoaded') or die('access denied');

define("_REC_RECIPES", "Yemek Tarifleri");
define("_REC_TITLE", "Yemek Tarifleri");
define("_REC_CATEGORYBROWSE", "Kategori özeti");
define("_REC_NAMESEARCH", "Tarif adına göre ara");
define("_REC_INGREDIENTSEARCH", "Malzemeye göre ara");
define("_REC_SUBMITARECIPE", "Tarifi gönder");
define("_REC_NOW", "şimdi");
define("_REC_MESSAGETOSEND", "Mesaj metni");
define("_REC_SELECTCATEGORY", "Kategori seç");
define("_REC_BROWSE", "Göster");
define("_REC_NAMESEARCHPROMPT", "Tarifin tam veya kısmi ismi");
define("_REC_LEAVINGBLANKMESSAGE", "Arama alanı boş bırakılırsa, TÜM tarifler görüntülenir!");
define("_REC_SEARCHHITS", "Arama sonuçları");
define("_REC_SEARCHIT", "Arama");
define("_REC_INGREDIENTSEARCHPROMPT", "Arama terimi");
define("_REC_NEWRECIPEFORM", "Yeni tarif ");
define("_REC_IPENAME", "Tarif adı");
define("_REC_CATEGORY", "Kategori");
define("_REC_TIPP", "İpucu");
define("_REC_SOURCE", "Kaynak");
define("_REC_PREPTIME", "Hazırlama süresi");
define("_REC_COOKTIME", "Pişirme süresi");
define("_REC_DIFFICULTY", "Zorluk");
define("_REC_INGREDIENTS", "Malzemeler");
define("_REC_DIRECTIONS", "Hazırlanması");
define("_REC_NUTRITIONINFORMATION", "Beslenme bilgileri");
define("_REC_SUBMITTHISRECIPE", "Tarifi gönder");
define("_REC_PREPCOOKTIME", "Hazırlama/pişirme süresi");
define("_REZ_CONTRIBUTEDBY", "Ekleyen");
define("_REC_PRINTERFRIENDLY", "Yazdırılabilir sürüm");
define("_REC_EMAILRECIPE", "E-posta ile gönder");
define("_REC_EDITRECIPE", "Tarifi düzenle");
define("_REC_DELETERECIPE", "Tarifi sil");
define("_REC_EMAILPROMPT", "Tarifin gönderileceği e-posta adresi:");
define("_REC_SENDIT", "E-postasını gönder");
define("_REC_RECIPESENT", "Tarif e-posta ile gönderildi");
define("_REC_EDITRECIPEFORM", "Tarifi düzenle ");
define("_REC_UPDATETHISRECIPE", "Tarifi güncelle");
define("_REC_AREYOUSURE1", "Tarifi silmek istediğinden emin misin?");
define("_REC_AREYOUSURE2", "Tarifi nihai silmek istediğinden emin misin?");
define("_REC_THERECIPE", "Yemek tarifi");
define("_REC_HASBEENADDED", "eklendi.");
define("_REC_HASBEENADDEDNOT", "<b>eklenemedi</b> .");
define("_REC_HASBEENUPDATED", "güncellendi.");
define("_REC_HASBEENDELETED", "silindi!");
define("_REC_ONR", "tarihinde");
define("_REC_MUSTNAME", "Tarif adını belirtmelisin");
define("_REC_MUSTINGREDIENTS", "Maddeleri belirtmelisin");
define("_REC_MUSTDIRECTIONS", "Hazırlama talimatlarını belirtmelisin.");
define("_REC_NORECIPESFOUNDCATEGORY", "Bu kategoride tarifler bulunamadı.");
define("_REC_NORECIPESFOUNDQUERY", "Tarifler bulunamadı.");
define("_REC_NORECIPESFOUNDSTARTING", "Hiçbir tarifleri ile başlayan ");
define("_REC_NOCONTRIBDELETE", "Bu tarifi girmediğin için, silemezsin. Daha fazla bilgi için yöneticinize başvurun. Teşekkürler.");
define("_REC_NOCONTRIBEDIT", "Bu tarifi girmediğin için, düzenleyemezsin. Daha fazla bilgi için yöneticinize başvurun. Teşekkürler.");
define("_REC_STATEASY", "kolay");
define("_REC_STATMODERATE", "kolay değil");
define("_REC_STATHARD", "zor");
define("_REC_STATDIFFICULT", "çok zor");
define("_REC_ATTACHTHISPHOTO", "Resim ekle");
define("_REC_ATTACHTHISPHOTO2", "Maksimum resim boyutu %s bayt, resim JPG formatında olmalıdır.");
define("_REC_PHOTOEXCEEDED", "Maksimum resim boyutu aşıldı");
define("_REC_PHOTOWRONGTYPE", "Tüm resimler JPG formatında olmalıdır");
define("_REC_PHOTONOTATTACHED", "bu nedenle resim eklenmedi.");
define("_REC_REMOVECURRENTPHOTO", "Resmi kaldır");
define("_REC_EDITCATEGORIES", "Kategoriler");
define("_REC_ADDCATEGORY", "Yeni bir kategori ekle");
define("_REC_EDITCATEGORY", "Seçilen kategoriyi düzenle");
define("_REC_DELETCATEGORY", "Seçilen kategoriyi sil");
define("_REC_CATAREYOUSURE1", "Kategoriyi silmek istediğinden emin misin?");
define("_REC_CATAREYOUSURE2", "Kategoriyi nihai silmek istediğinden emin misin?");
define("_REC_SENDERROR", "Bir hata oluştu:<br /><br /><b>E-posta(lar) gönderilemedi.</b><br /><br />Lütfen sonra tekrar deneyin.<br />Hata tekrar oluşursa, <a href=\"mailto:" . $GLOBALS['adminmail'] . "\">Webmaster</a> ile irtibata geçiniz.");
define("_REC_ADDFIELD", "Giriş alanı ekle");
define("_REC_SETUP_STEP1CAPTION", "Tarifler modülünün kurulumuna hoşgeldiniz");
define("_REC_SETUP_STEP1DESC", "Bir sonraki adımda, gerekli veritabanı tabloları, gözden geçirilip, güncellenip, ya da muhtemelen yeniden oluşturulur. Zaten mevcut kayıtlar muhafaza edilecek ve gerekirse dönüştürülebilir.");
define("_REC_SETUP_STEP2CAPTION", "Tarifler modülünün kurulumu");
define("_REC_SETUP_STEP2DESC", "Veritabanı tabloları, gözden geçirilmiş, güncellenmiş veya yeni oluşturulmuş");
define("_REC_SETUP_STEP2MSG1", "Aşağıdaki sql sorguları çalıştırıldı");
define("_REC_SETUP_STEP2MSG2", "Veritabanı tabloları zaten günceldi.");
define("_REC_SETUP_STEP2MSG3", "Aşağıdaki hatalar oluştu");
define("_REC_SETUP_CONTINUE", "Devam");
define("_REC_ADMINLOGINERROR", "Üzgünüz, bu dosyaya çalıştırmak için gerekli haklara sahip değilsiniz!<br />Eğer bu dosyaya bir bağlantı üzerinden takip ettiyseniz, site yöneticisiyle irtibata geçiniz!");
define("_REC_DESCRIPTION", "Tanım");
define("_REC_PERSONS", "Kişiler");
define("_REC_PERSONSFOR", "%d kişiler için");
define("_REC_MINUTES", "Dakika");
define("_REC_MINUTESSHORT", "dk.");
define("_REC_HOURS", "Saat");
define("_REC_HOURSSHORT", "sa.");
define("_REC_FORMATMINUTES_HM", '%1$d:%2$d sa.'); // für sprintf()
define("_REC_FORMATMINUTES_H", '%d sa.'); // für sprintf()
define("_REC_FORMATMINUTES_M", '%d dk.'); // für sprintf()
define("_REC_RECIPESSEARCHE", _REC_SEARCHIT . " / " . _EDIT);
define("_REC_RECIPESEDIT", _REC_RECIPES . " " . _EDIT);
define("_REC_COMESFROM", "Tarifi gönderen");
define("_REC_THEURL", "Bu tarif için URL:");
define("_REC_YOURNAME", "Adınız:");
define("_REC_YOUREMAIL", "E-postanız:");
define("_REC_MAILSUBJECT", "%s tarifi");
define("_REC_MAILFROM", "Bu '%1\$s' tarif size %2\$s (%3\$s) tarafından gönderildi.");
define("_REC_MAILCOMMENT", "%s şu yorumu yazdı:");
define("_REC_ADDCOMMENT", "Yorumunuz:");
define("_REC_MAILERR1", "Geçersiz veriler iletildi");
define("_REC_MAILERR2", "Alıcı bilgilerini kontrol edin");
define("_REC_MAILERR3", "E-posta gönderen bilgilerini kontrol edin");
define("_REC_FIELDRQUIRED", "Bu giriş alanı gereklidir!");
define("_REC_VIEWIT", "Tarifi görüntüle");
define("_REC_CANCEL", "İptal");
define("_REC_NOTEXIST", "Bu tarif henüz yayınlanmamıştır.");

?>